POST
/api/Products/{productId}/questions/reorder
const url = 'https://example.com/api/Products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/questions/reorder';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"productId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","orders":[{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","order":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/Products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/questions/reorder \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orders": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "order": 1 } ] }'Bulk update of the display order. Send the full set of question ids you intend to position; any ids not included are left untouched.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” productId
required
string format: uuid
Request Body
Section titled “Request Body ”object
productId
string format: uuid
orders
required
Array<object>
object
id
string format: uuid
order
integer format: int32
Example generated
{ "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orders": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "order": 1 } ]}object
productId
string format: uuid
orders
required
Array<object>
object
id
string format: uuid
order
integer format: int32
Example generated
{ "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orders": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "order": 1 } ]}object
productId
string format: uuid
orders
required
Array<object>
object
id
string format: uuid
order
integer format: int32
Example generated
{ "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orders": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "order": 1 } ]}Responses
Section titled “ Responses ”No Content
Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}